View Issue Details

IDProjectCategoryView StatusLast Update
0010122mantisbtbugtrackerpublic2016-07-11 15:36
Reporterwschneider Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version1.1.6 
Summary0010122: custom_function_override_issue_update_notify not called when assigning a handler to reopened bug
Description

If a bug is reopened, the assign_to button is shown even if the bug is not yet in status assigned (resolution is reopened). This is not the case if a new bug is in status new, acknowledged or confirmed. Then this button is NOT shown.

Our custom function performs some action if the bug update changes the status to assigned or higher. This doesn't work if the assign_to button is used.

TagsNo tags attached.

Activities

wschneider

wschneider

2009-06-10 10:30

reporter   ~0022070

Last edited: 2009-06-10 10:44

View 2 revisions

In version 1.1.7 the bug_assign still doesn't call the function custom_function_override_issue_update_notify. Now the button "Assign to" is shown every time. Not as described above on reopened tickets only.

Solved this problem by adding the line

helper_call_custom_function( 'issue_update_notify', array( $f_bug_id ) );

to bug_assign.php

grangeway

grangeway

2014-06-01 17:41

reporter   ~0040710

I'm wondering if this should be closed as the customf function functionality pre-dates the plugin functionality that now exists.

In fact, I'd created a partial plugin previously to move some of the custom functions to a plugin so we could tidy up the source code.

Does anyone have any objections to removal the custom function functionality in git trunk for 1.3 and implementing a plugin for users who have legacy code.

dregad

dregad

2014-06-02 04:19

developer   ~0040713

Assuming we really want to remove custom functions (something I don't have time to think about atm), it would in any case be in scope of a 2.x release as we would potentially break a lot of installations with that.

Issue History

Date Modified Username Field Change
2009-02-09 05:32 wschneider New Issue
2009-06-10 10:30 wschneider Note Added: 0022070
2009-06-10 10:44 wschneider Note Edited: 0022070 View Revisions
2009-06-11 02:58 vboctor Status new => acknowledged
2009-06-11 02:58 vboctor Target Version => 1.2.2
2009-06-23 15:22 jreese Target Version 1.2.2 => 1.x.x
2014-06-01 17:41 grangeway Note Added: 0040710
2014-06-02 04:19 dregad Note Added: 0040713
2014-12-08 02:10 atrol Target Version 1.3.0-beta.1 => 1.3.0-beta.2
2015-03-15 19:59 dregad Target Version 1.3.0-beta.2 => 1.3.0-beta.3
2015-09-06 17:47 vboctoradmin Target Version 1.3.0-beta.3 => 1.3.0-rc.1
2015-12-06 02:55 vboctor Target Version 1.3.0-rc.1 => 1.3.0-rc.2
2016-06-12 02:37 atrol Target Version 1.3.0-rc.2 => 1.3.0
2016-07-10 07:57 atroladmin Target Version 1.3.0 => 1.3.1
2016-07-11 15:36 atrol Target Version 1.3.1 =>